KCMAP_READ_RGB_VALUES(3)

FUNCTION
kcmap_read_rgb_values - Get RGB values in a colourmap.

SYNOPSIS
#include <karma_kcmap.h>

unsigned int kcmap_read_rgb_values

(Kcolourmap cmap, unsigned int num, unsigned short *red, unsigned short *green, unsigned short *blue, unsigned int stride)

DESCRIPTION
Get RGB values in a colourmap.

cmap
    The colourmap object.

num The maximum number of colours to read.

red The red values are written here.

green
    The green values are written here.

blue
    The blue values are written here.

stride
    The stride (in shorts) between values in the arrays.

RETURN VALUE
The number of RGB values written.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/